Contenu | Rechercher | Menus
Selon les tags présents sur cette page, celle-ci est ancienne et ne contient plus d'informations sur une des versions supportées d'Ubuntu.
Cette page est en cours de rédaction.
Apportez votre aide…

Installation de Flex Builder

Flex Builder pour Linux n'est plus développé par Adobe, le projet a été stopé.

Flex Builder pour Linux est disponible sous la forme d'un plugin pour Eclipse, il s'agit pour le moment d'une version alpha fournie gratuitement à l'ensemble de la communauté Linux par Adobe (Sous licence évaluation). Cet outil vous permettra de développer facilement vos projets Flex et Actionscript 3.0 dans l'environnement Linux.

Pré-requis

Flex Builder nécéssite l'installation de ces éléments pour fonctionner :

Il est impératif d'utiliser la version 3.3.x d'Eclipse pour faire fonctionner Flex Builder Alpha. La dernière version d'Eclipse, Ganymede 3.4 n'est pas officiellement supportée et génère beaucoup d'erreurs.

A vérifier: test avec la version 3.5

N'est pas dispo en 64 bits, du coup c'est plus compliqué, mais c'est possible : voir plus bas.

Installation

Installez Java JRE 6 et Eclipse 3.3.x. Concernant Eclipse, décompressez simplement le dossier "eclipse" de l'archive dans votre répertoire /home/.

Téléchargez l'installeur bin depuis le site d'Adobe : Flex Builder Linux Eclipse Plugin Installer

Lancez l'installeur dans un terminal et suivez les étapes d'installation :

sh flexbuilder_linux_install_a4_081408.bin

Lors de l'étape ou vous indiquez l'emplacement d'eclipse, Il se peut que l'installeur vous signale qu'il ne reconnait pas cet emplacement comme un emplacement valide, passer outre l'avertissement et continuez !

Dans la fenêtre "Additional Installations", cochez Adobe Flash Player 9 for Firefox. Il s'agit d'une version de déboguage du Flash Player qui vous permettra de déboguer par la suite vos applications Flex et Actionscript 3.0.

Après installation du plugin, démarrez eclipse et choisissez un nouveau projet Flex.

Configuration

Compilation

Le plugin Flex Builder éxécute par défaut votre projet dans votre navigateur. Pour éxécuter votre projet directement dans une fenêtre Flash Player (version debug), utilisez le script Adobe_Flex_builder.sh installé dans votre répertoire Flex Builder :

Crééz un lanceur sur le bureau, dans commande, cliquez sur parcourir et pointez vers le script Adobe_Flex_builder.sh.

Puis dans les propriétés de votre projet, décochez l'utilisation du template html wrapper :

Mise à jour du SDK

Les dépots SDK Flex sont disponibles ici : Flex 3 SDK Downloads

En cas de mise à jour, copiez votre nouveau kit SDK Flex dans le répértoire sdks. Puis modifiez les propriétés de votre projet dans eclipse.

Désinstallation

Lancez dans un terminal le script situé dans le dossier Uninstall du répertoire Flex Builder :

sh Uninstall_Adobe_Flex_Builder_Linux

Installation 64 bits

Voici ce que j'ai fait pour installer Eclipse Flex Builder sur Ubuntu 9.10. Désolé c'est un peu brouillon, mais j'espère que ça aidera quand même.

Le plug-in ne fonctionne qu'en 32 bits, il faut donc :

  • Le JRE de Sun en 32 bits
  • Eclipse 3.3.x en 32 bits
  • Le player Flash en 32 bits
  • Firefox en 32 bits

Ces deux derniers points ne sont nécessaires que pour faire du debug en pas à pas (ndr : je ne l'ai pas fait).

Installer Eclipse 3.3.x 32bits

sudo tar -xvzf  eclipse-SDK-3.3.2-linux-gtk.tar.gz -C /opt/

Installer JRE 32bit

Il va falloir : installer le JRE, l'ajouter comme alternative à java et le choisir comme notre JRE par défaut pour le temps de l'installation :

sh jre-6u17-linux-i586.bin
sudo cp -r jre1.6.0_17 /opt/
sudo update-alternatives --install /usr/bin/java java /opt/jre1.6.0_17/bin/java 1
sudo update-alternatives --config java

Noter la ligne où il y a une étoile pour la remettre plus tard. Puis choisir le numéro correspondant à /opt/jre1.6.0_17/bin/java et valider.

Indiquer à Eclipse d'utiliser ce JRE

sudo nano /opt/eclipse/eclipse.ini

Insérer au début :

-vm
/opt/jre1.6.0_17/bin/java

Installer le plugin FlexBuilder

sudo sh flexbuilder_linux_install_a5_112409.bin
  • Indiquer le répertoire d'installation : /opt/Adobe_Flex_Builder_Linux
  • Et celui d'Eclipse : /opt/eclipse/

Lancer Eclipse

/opt/eclipse/eclipse &
  • File → New → Flex Project
  • Coder, sachant qu'il n'y a pas la vue design du Adobe Flex Builder propriétaire et payant.

Chez moi il y a un bug dans l'asistant : le click sur les boutons est inactif, il faut utiliser le clavier.

Pour finir remettez la version du JRE d'origine, que vous aviez noté plus haut à l'aide de la commande :

sudo update-alternatives --config java

Voir aussi

Page officielle du projet Flex Builder pour Linux

Installation de Flex builder linux alpha 3 sur + Eclipse 3.3

Tutoriels et autres guides pour débuter, découvrir flex


eclipse_flexbuilder.txt · Dernière modification: Le 15/12/2011, 15:17 (modification externe)
Le contenu de ce wiki est sous licence : CC BY-SA v3.0